Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control.events
Class RoundStartedEvent

    java.lang.Object
      robocode.control.events.BattleEvent
          robocode.control.events.RoundStartedEvent

    public class RoundStartedEvent

extends BattleEvent

A RoundStartedEvent is sent to `onRoundStarted()` when a new round in a battle is started.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `IBattleListener`, `RoundEndedEvent`

Constructor Summary
`RoundStartedEvent(ITurnSnapshot startSnapshot, int round)` Creates a new RoundStartedEvent.

Method Summary
`int` | `getRound()` Returns the round number.
`ITurnSnapshot` | `getStartSnapshot()` Returns the start snapshot of the participating robots, initial starting positions etc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoundStartedEvent

    public RoundStartedEvent(ITurnSnapshot startSnapshot,
                             int round)

  Creates a new RoundStartedEvent.

  Parameters:
    `startSnapshot` - the start snapshot of the participating robots, initial starting positions etc.
    `round` - the round number.

Method Detail

### getStartSnapshot

    public ITurnSnapshot getStartSnapshot()

  Returns the start snapshot of the participating robots, initial starting positions etc.

  Returns:
    a ITurnSnapshot instance that serves as the start snapshot of the round.

### getRound

    public int getRound()

  Returns the round number.

  Returns:
    the round number.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.